#!/usr/bin/python
from HYT221 import HYT221   #Die erstellte Klasse HYT221 wird mit diesem Befehl importiert
import sqlite3
import datetime
import time


address = 0x28          #aus Datenblatt des Sensors HYT 221
temp = 0.0              #Initialisierung der Temperaturvariable
hum = 0.0               #Initialisierung der Luftfeuchtigkeitsvariable

hyt = HYT221(address)   #Initialisierung eines Objektes der Klasse HYT221 zum Auslesen der Sensordaten

while True:             #Dauerschleife
    try:
        temp, hum = hyt.messungKomplett()       #Aufruf der Methode zum Auslesen der Sensordaten

        temp = '{0:.2f}'.format(temp)       #Formatierung der Dezimalzahlen auf 2 Stellen nach dem Komma
        hum = '{0:.2f}'.format(hum)
        conn=sqlite3.connect('database.db')     #Verbindung zur lokalen Datenbank herstellen
        curs=conn.cursor()                      #Cursor zum Ausfuehren der SQL-Befehle
        curs.execute("INSERT INTO data values(datetime(CURRENT_TIMESTAMP, 'localtime'), %s, %s)" % (temp, hum)) #SQL-Befehl zum Einfuegen eines Datenbankeintrags
        conn.commit()                           #Schreibprozess ausfuehren
    except:
        conn.rollback()
    
    print "\nDatenbankeintraege:\n"
    for row in curs.execute("SELECT * FROM data"):      #Auslesen der gesamten Tabelle
        print row
        
    conn.close()
    time.sleep(60)      #60 Sekunden warten bis zum naechsten Eintrag


